/************************************************************
   XN[`
 ************************************************************/

/*** VRAM擪AhX ***/
#ifdef __POWERXVM__
#define VRAM_TOP 0xf0000000
#else  
#define VRAM_TOP 0x200000
#endif

/*** TCY ***/
#define VRAM_WIDTH    1024
#define VRAM_HEIGHT    512

/*** \TCY ***/
#define SCREEN_WIDTH   384
#define SCREEN_HEIGHT  256

struct VRAM_PIX{
  unsigned char a ;
  unsigned char r ;
  unsigned char g ;
  unsigned char b ;
} ;

void put_line( int x0, int y0, int x1, int y1, struct VRAM_PIX *pix ) ;
void clr_screen() ;
